LOGNAME(1)

NAME
logname - return the user's login name

SYNOPSIS
logname

DESCRIPTION

logname writes the users's login name to standard output. The login name is the string that is returned by the getlogin(2) function. If getlogin(2) does not return successfully, the corresponding to the real user id of the calling process is used instead.

EXIT STATUS

0   Successful Completion.

>0  An error occurred.

SEE ALSO

getlogin(2)

AUTHOR
David J. Korn, et. al.

COPYRIGHT
2019, David J. Korn, et.al.